List all legal entities
curl --request GET \
--url https://api.salesbricks.com/api/v2/legal-entities \
--header 'X-SALESBRICKS-KEY: <api-key>'import requests
url = "https://api.salesbricks.com/api/v2/legal-entities"
headers = {"X-SALESBRICKS-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-SALESBRICKS-KEY': '<api-key>'}};
fetch('https://api.salesbricks.com/api/v2/legal-entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"legal_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"legal_name": "<string>",
"display_name": "<string>",
"hq_address": {
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"region": "<string>",
"zip": "<string>",
"country": "<string>"
}
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}Legal Entities
List all legal entities
Returns a paginated list of the seller’s legal entities. Use a legal entity’s id as legal_entity_id when creating a subscription to specify which entity issues it.
GET
/
legal-entities
List all legal entities
Authorizations
API key for authentication
Query Parameters
Number of results to return per page.
The initial index from which to return the results.
Order results by field (prefix with '-' for descending order)
Available options:
-created_at, created_at